import { x as d, L as x } from "./index-c03cd301.mjs";
import { g as C } from "./_commonjsHelpers-c5d32002.mjs";
var S = { exports: {} }, I = { exports: {} };
(function() {
  var a = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/", p = {
    // Bit-wise rotation left
    rotl: function(f, s) {
      return f << s | f >>> 32 - s;
    },
    // Bit-wise rotation right
    rotr: function(f, s) {
      return f << 32 - s | f >>> s;
    },
    // Swap big-endian to little-endian and vice versa
    endian: function(f) {
      if (f.constructor == Number)
        return p.rotl(f, 8) & 16711935 | p.rotl(f, 24) & 4278255360;
      for (var s = 0; s < f.length; s++)
        f[s] = p.endian(f[s]);
      return f;
    },
    // Generate an array of any length of random bytes
    randomBytes: function(f) {
      for (var s = []; f > 0; f--)
        s.push(Math.floor(Math.random() * 256));
      return s;
    },
    // Convert a byte array to big-endian 32-bit words
    bytesToWords: function(f) {
      for (var s = [], c = 0, i = 0; c < f.length; c++, i += 8)
        s[i >>> 5] |= f[c] << 24 - i % 32;
      return s;
    },
    // Convert big-endian 32-bit words to a byte array
    wordsToBytes: function(f) {
      for (var s = [], c = 0; c < f.length * 32; c += 8)
        s.push(f[c >>> 5] >>> 24 - c % 32 & 255);
      return s;
    },
    // Convert a byte array to a hex string
    bytesToHex: function(f) {
      for (var s = [], c = 0; c < f.length; c++)
        s.push((f[c] >>> 4).toString(16)), s.push((f[c] & 15).toString(16));
      return s.join("");
    },
    // Convert a hex string to a byte array
    hexToBytes: function(f) {
      for (var s = [], c = 0; c < f.length; c += 2)
        s.push(parseInt(f.substr(c, 2), 16));
      return s;
    },
    // Convert a byte array to a base-64 string
    bytesToBase64: function(f) {
      for (var s = [], c = 0; c < f.length; c += 3)
        for (var i = f[c] << 16 | f[c + 1] << 8 | f[c + 2], l = 0; l < 4; l++)
          c * 8 + l * 6 <= f.length * 8 ? s.push(a.charAt(i >>> 6 * (3 - l) & 63)) : s.push("=");
      return s.join("");
    },
    // Convert a base-64 string to a byte array
    base64ToBytes: function(f) {
      f = f.replace(/[^A-Z0-9+\/]/ig, "");
      for (var s = [], c = 0, i = 0; c < f.length; i = ++c % 4)
        i != 0 && s.push((a.indexOf(f.charAt(c - 1)) & Math.pow(2, -2 * i + 8) - 1) << i * 2 | a.indexOf(f.charAt(c)) >>> 6 - i * 2);
      return s;
    }
  };
  I.exports = p;
})();
var O = I.exports, _ = {
  // UTF-8 encoding
  utf8: {
    // Convert a string to a byte array
    stringToBytes: function(a) {
      return _.bin.stringToBytes(unescape(encodeURIComponent(a)));
    },
    // Convert a byte array to a string
    bytesToString: function(a) {
      return decodeURIComponent(escape(_.bin.bytesToString(a)));
    }
  },
  // Binary encoding
  bin: {
    // Convert a string to a byte array
    stringToBytes: function(a) {
      for (var p = [], f = 0; f < a.length; f++)
        p.push(a.charCodeAt(f) & 255);
      return p;
    },
    // Convert a byte array to a string
    bytesToString: function(a) {
      for (var p = [], f = 0; f < a.length; f++)
        p.push(String.fromCharCode(a[f]));
      return p.join("");
    }
  }
}, B = _;
/*!
 * Determine if an object is a Buffer
 *
 * @author   Feross Aboukhadijeh <https://feross.org>
 * @license  MIT
 */
var k = function(a) {
  return a != null && (w(a) || H(a) || !!a._isBuffer);
};
function w(a) {
  return !!a.constructor && typeof a.constructor.isBuffer == "function" && a.constructor.isBuffer(a);
}
function H(a) {
  return typeof a.readFloatLE == "function" && typeof a.slice == "function" && w(a.slice(0, 0));
}
(function() {
  var a = O, p = B.utf8, f = k, s = B.bin, c = function(i, l) {
    i.constructor == String ? l && l.encoding === "binary" ? i = s.stringToBytes(i) : i = p.stringToBytes(i) : f(i) ? i = Array.prototype.slice.call(i, 0) : !Array.isArray(i) && i.constructor !== Uint8Array && (i = i.toString());
    for (var e = a.bytesToWords(i), F = i.length * 8, n = 1732584193, r = -271733879, o = -1732584194, t = 271733878, u = 0; u < e.length; u++)
      e[u] = (e[u] << 8 | e[u] >>> 24) & 16711935 | (e[u] << 24 | e[u] >>> 8) & 4278255360;
    e[F >>> 5] |= 128 << F % 32, e[(F + 64 >>> 9 << 4) + 14] = F;
    for (var h = c._ff, g = c._gg, v = c._hh, y = c._ii, u = 0; u < e.length; u += 16) {
      var A = n, E = r, G = o, L = t;
      n = h(n, r, o, t, e[u + 0], 7, -680876936), t = h(t, n, r, o, e[u + 1], 12, -389564586), o = h(o, t, n, r, e[u + 2], 17, 606105819), r = h(r, o, t, n, e[u + 3], 22, -1044525330), n = h(n, r, o, t, e[u + 4], 7, -176418897), t = h(t, n, r, o, e[u + 5], 12, 1200080426), o = h(o, t, n, r, e[u + 6], 17, -1473231341), r = h(r, o, t, n, e[u + 7], 22, -45705983), n = h(n, r, o, t, e[u + 8], 7, 1770035416), t = h(t, n, r, o, e[u + 9], 12, -1958414417), o = h(o, t, n, r, e[u + 10], 17, -42063), r = h(r, o, t, n, e[u + 11], 22, -1990404162), n = h(n, r, o, t, e[u + 12], 7, 1804603682), t = h(t, n, r, o, e[u + 13], 12, -40341101), o = h(o, t, n, r, e[u + 14], 17, -1502002290), r = h(r, o, t, n, e[u + 15], 22, 1236535329), n = g(n, r, o, t, e[u + 1], 5, -165796510), t = g(t, n, r, o, e[u + 6], 9, -1069501632), o = g(o, t, n, r, e[u + 11], 14, 643717713), r = g(r, o, t, n, e[u + 0], 20, -373897302), n = g(n, r, o, t, e[u + 5], 5, -701558691), t = g(t, n, r, o, e[u + 10], 9, 38016083), o = g(o, t, n, r, e[u + 15], 14, -660478335), r = g(r, o, t, n, e[u + 4], 20, -405537848), n = g(n, r, o, t, e[u + 9], 5, 568446438), t = g(t, n, r, o, e[u + 14], 9, -1019803690), o = g(o, t, n, r, e[u + 3], 14, -187363961), r = g(r, o, t, n, e[u + 8], 20, 1163531501), n = g(n, r, o, t, e[u + 13], 5, -1444681467), t = g(t, n, r, o, e[u + 2], 9, -51403784), o = g(o, t, n, r, e[u + 7], 14, 1735328473), r = g(r, o, t, n, e[u + 12], 20, -1926607734), n = v(n, r, o, t, e[u + 5], 4, -378558), t = v(t, n, r, o, e[u + 8], 11, -2022574463), o = v(o, t, n, r, e[u + 11], 16, 1839030562), r = v(r, o, t, n, e[u + 14], 23, -35309556), n = v(n, r, o, t, e[u + 1], 4, -1530992060), t = v(t, n, r, o, e[u + 4], 11, 1272893353), o = v(o, t, n, r, e[u + 7], 16, -155497632), r = v(r, o, t, n, e[u + 10], 23, -1094730640), n = v(n, r, o, t, e[u + 13], 4, 681279174), t = v(t, n, r, o, e[u + 0], 11, -358537222), o = v(o, t, n, r, e[u + 3], 16, -722521979), r = v(r, o, t, n, e[u + 6], 23, 76029189), n = v(n, r, o, t, e[u + 9], 4, -640364487), t = v(t, n, r, o, e[u + 12], 11, -421815835), o = v(o, t, n, r, e[u + 15], 16, 530742520), r = v(r, o, t, n, e[u + 2], 23, -995338651), n = y(n, r, o, t, e[u + 0], 6, -198630844), t = y(t, n, r, o, e[u + 7], 10, 1126891415), o = y(o, t, n, r, e[u + 14], 15, -1416354905), r = y(r, o, t, n, e[u + 5], 21, -57434055), n = y(n, r, o, t, e[u + 12], 6, 1700485571), t = y(t, n, r, o, e[u + 3], 10, -1894986606), o = y(o, t, n, r, e[u + 10], 15, -1051523), r = y(r, o, t, n, e[u + 1], 21, -2054922799), n = y(n, r, o, t, e[u + 8], 6, 1873313359), t = y(t, n, r, o, e[u + 15], 10, -30611744), o = y(o, t, n, r, e[u + 6], 15, -1560198380), r = y(r, o, t, n, e[u + 13], 21, 1309151649), n = y(n, r, o, t, e[u + 4], 6, -145523070), t = y(t, n, r, o, e[u + 11], 10, -1120210379), o = y(o, t, n, r, e[u + 2], 15, 718787259), r = y(r, o, t, n, e[u + 9], 21, -343485551), n = n + A >>> 0, r = r + E >>> 0, o = o + G >>> 0, t = t + L >>> 0;
    }
    return a.endian([n, r, o, t]);
  };
  c._ff = function(i, l, e, F, n, r, o) {
    var t = i + (l & e | ~l & F) + (n >>> 0) + o;
    return (t << r | t >>> 32 - r) + l;
  }, c._gg = function(i, l, e, F, n, r, o) {
    var t = i + (l & F | e & ~F) + (n >>> 0) + o;
    return (t << r | t >>> 32 - r) + l;
  }, c._hh = function(i, l, e, F, n, r, o) {
    var t = i + (l ^ e ^ F) + (n >>> 0) + o;
    return (t << r | t >>> 32 - r) + l;
  }, c._ii = function(i, l, e, F, n, r, o) {
    var t = i + (e ^ (l | ~F)) + (n >>> 0) + o;
    return (t << r | t >>> 32 - r) + l;
  }, c._blocksize = 16, c._digestsize = 16, S.exports = function(i, l) {
    if (i == null)
      throw new Error("Illegal argument " + i);
    var e = a.wordsToBytes(c(i, l));
    return l && l.asBytes ? e : l && l.asString ? s.bytesToString(e) : a.bytesToHex(e);
  };
})();
var N = S.exports;
const T = /* @__PURE__ */ C(N), M = {
  login(a, p) {
    return p = T(p), d.post(x.LOGIN, {
      username: a,
      password: p,
      grant_type: "password"
    });
  },
  // 手机号登录
  async loginPhone(a, p) {
    return p = T(p), await d.post(x.LOGIN, {
      phone: a,
      password: p,
      grant_type: "phone_password"
    });
  },
  // 注册
  async register(a, p, f, s, c) {
    const i = T(f).toString();
    return d.post(x.REGISTER, {
      username: a,
      nickname: p,
      password: i,
      phone: s,
      verifyCode: c
    });
  },
  // 修改个人密码
  async resetPassword(a, p, f) {
    const s = T(f).toString();
    return await d.post("user/reset", {
      phone: a,
      verifyCode: p,
      password: s
    });
  },
  async refreshToken() {
    const a = localStorage.getItem("refresh_token");
    return await d.post(x.LOGIN, {
      // scope: "all",
      grant_type: "refresh_token",
      refresh_token: a
    });
  },
  // // 修改个人密码
  // async changePassword(oldPassword, newPassword, confirmPassword) {
  //   const md5Pwd = md5(oldPassword).toString()
  //   const md5NewPwd = md5(newPassword).toString()
  //   const md5ConfirmPwd = md5(confirmPassword).toString()
  //   return await xHttp.put('user/modifyPassword', {
  //     oldPassword: md5Pwd,
  //     newPassword: md5NewPwd,
  //     confirmPassword: md5ConfirmPwd
  //   })
  // },
  // // 修改个人信息
  // async changeYourInformation(NickName, Phone) {
  //   return await xHttp.put('user/profile', {
  //     nickName: NickName,
  //     phone: Phone
  //   })
  // },
  // 获取个人信息
  async getUserInformation() {
    return await d.get("/user/current/info");
  }
  // // 退出登录
  // async logout() {
  //   return await xHttp.post(LOGIN_URL.LOGOUT)
  // }
};
export {
  M as l
};
