import { defineComponent as j, ref as l, onMounted as A, resolveComponent as b, openBlock as k, createElementBlock as E, unref as a, createBlock as w, createCommentVNode as R, createVNode as y, isRef as T, withCtx as F } from "vue";
import { G as L } from "./index-73b1c2ab.mjs";
import { r as g } from "./index-ef25045e.mjs";
import { cloneDeep as N } from "lodash";
import { message as p } from "ant-design-vue";
import { P as I } from "./index-77d1c161.mjs";
import { _ as Q } from "./_plugin-vue_export-helper-dad06003.mjs";
const z = [
  {
    operator: "like",
    renderer: {
      type: "TextField",
      options: {
        type: "text",
        field: "name",
        label: "角色名称"
      }
    }
  }
], S = [
  {
    name: "code",
    type: "text",
    align: "center",
    label: "角色编码"
    // width: 100
  },
  {
    name: "name",
    type: "text",
    align: "center",
    label: "角色名称"
  },
  {
    name: "description",
    type: "text",
    align: "center",
    label: "角色描述"
  }
], V = [
  {
    key: "edit",
    label: "编辑"
    // color: '#ea9e64'
    // expression: 'state=="1"'
  },
  {
    key: "authorization",
    label: "授权"
    // color: '#72c040'
  },
  {
    key: "delete",
    label: "删除",
    color: "#ec5b55",
    // disabled: 'state=="1"',
    confirm: !0
  }
], J = [
  {
    key: "add",
    icon: "plus",
    label: "新增"
  }
], K = {
  layout: {
    itemOptions: {
      labelSpan: 5,
      wrapperSpan: 18
    },
    children: [
      {
        type: "TextField",
        options: {
          type: "text",
          field: "name",
          label: "角色名称：",
          required: !0
        }
      },
      {
        type: "TextField",
        options: {
          type: "text",
          field: "code",
          label: "角色编码：",
          required: !0
        }
      },
      {
        type: "TextField",
        options: {
          type: "text",
          field: "description",
          label: "描述：",
          mode: "textarea"
          // 文本域
          // required: true
        }
      }
    ]
  }
}, W = {
  class: "page-container",
  ref: "page"
}, X = /* @__PURE__ */ j({
  name: "RoleManage",
  __name: "index",
  setup(Z) {
    let _ = l(!1), r = l({
      page: 1,
      size: 10
    });
    const s = l(!1), u = l(""), f = l(""), i = l({ formDef: K, formRecordData: {}, readonlyFields: "" }), h = l();
    let x = l(0);
    const O = l([]), d = async () => {
      _.value = !0;
      try {
        const e = await g.queryAllRole(r.value);
        O.value = e.list, x.value = e.total;
      } catch ({ msg: e }) {
        p.error(e);
      } finally {
        _.value = !1;
      }
    }, D = (e) => {
      const t = {
        page: 1,
        size: 10
      };
      e.length !== 0 && e.forEach((o) => {
        t[o.name] = o.value;
      }), r.value = t, d();
    }, H = (e) => {
      if (!e)
        return;
      const { key: t } = e;
      switch (t) {
        case "add":
          q(t);
          break;
      }
    }, G = (e) => {
      if (!e)
        return;
      const { key: t, data: o } = e;
      switch (t) {
        case "edit":
          U(t, o);
          break;
        case "authorization":
          B(o);
          break;
        case "delete":
          M(o);
          break;
      }
    }, q = (e) => {
      i.value.formRecordData = "", i.value.readonlyFields = "", f.value = e, u.value = "新增", s.value = !0;
    }, U = (e, t) => {
      f.value = e, u.value = "编辑", s.value = !0, t && (i.value.readonlyFields = "code", i.value.formRecordData = N(t));
    }, m = l(!1), v = l({ name: "", _id: "" }), B = (e) => {
      m.value = !0, v.value = e;
    }, M = async (e) => {
      const { _id: t } = e;
      try {
        await g.deleteRole(t), p.success("删除成功"), await d();
      } catch ({ msg: o }) {
        p.error(o);
      }
    }, $ = async () => {
      const e = await h.value.submit(), { data: t, state: o } = e;
      if (o)
        try {
          if (f.value == "add")
            await g.addRole(t);
          else if (f.value == "edit") {
            const { _id: c } = i.value.formRecordData;
            await g.modifyRole(c, t);
          }
          p.success(`${u.value}成功！`), await d(), s.value = !1;
        } catch ({ msg: c }) {
          p.error(c);
        }
    }, P = async () => {
      await d();
    };
    return A(() => {
      d();
    }), (e, t) => {
      const o = b("GTSearch"), c = b("GTForm"), C = b("a-modal");
      return k(), E("div", W, [
        a(z).length != 0 ? (k(), w(o, {
          key: 0,
          fields: a(z),
          onSearch: D
        }, null, 8, ["fields"])) : R("", !0),
        a(S).length != 0 ? (k(), w(L, {
          key: 1,
          data: a(O),
          fields: a(S),
          recordOperators: a(V),
          onRecordOperatorClick: G,
          tableOperators: a(J),
          onTableOperatorClick: H,
          pageCurrent: a(r).page,
          "onUpdate:pageCurrent": t[0] || (t[0] = (n) => a(r).page = n),
          pageSize: a(r).size,
          "onUpdate:pageSize": t[1] || (t[1] = (n) => a(r).size = n),
          total: a(x),
          loading: a(_),
          onRefresh: P,
          allowSelect: !1,
          "y-offset": 310
        }, null, 8, ["data", "fields", "recordOperators", "tableOperators", "pageCurrent", "pageSize", "total", "loading"])) : R("", !0),
        y(C, {
          class: "handler-model",
          getContainer: () => e.$refs.page,
          open: a(s),
          "onUpdate:open": t[2] || (t[2] = (n) => T(s) ? s.value = n : null),
          title: a(u),
          onOk: $,
          destroyOnClose: ""
        }, {
          default: F(() => [
            y(c, {
              ref_key: "gtForm",
              ref: h,
              options: a(i)
            }, null, 8, ["options"])
          ]),
          _: 1
        }, 8, ["getContainer", "open", "title"]),
        y(C, {
          getContainer: () => e.$refs.page,
          open: a(m),
          "onUpdate:open": t[3] || (t[3] = (n) => T(m) ? m.value = n : null),
          title: `角色授权：${a(v).name}`,
          class: "auth-model",
          footer: null,
          width: "90%",
          destroyOnClose: ""
        }, {
          default: F(() => [
            y(I, { data: a(v) }, null, 8, ["data"])
          ]),
          _: 1
        }, 8, ["getContainer", "open", "title"])
      ], 512);
    };
  }
});
const Y = /* @__PURE__ */ Q(X, [["__scopeId", "data-v-6399ad9b"], ["__file", "/Users/qiweicun/Desktop/vscode/mis-component-vue3/src/views/RoleManage/index.vue"]]), se = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: Y
}, Symbol.toStringTag, { value: "Module" }));
export {
  se as _,
  Y as i
};
